summaryrefslogtreecommitdiffstats
path: root/system/openct
diff options
context:
space:
mode:
author LukenShiro <lukenshiro@ngi.it>2013-02-10 10:26:11 -0500
committer dsomero <xgizzmo@slackbuilds.org>2013-02-13 19:33:40 -0500
commitca641aeab8dcba4808ad91a9f29292d08feb522b (patch)
treea27e5761749c74b1d67a1f41d6b27699dbf4be53 /system/openct
parent97ff31a337e4f6986014c0c368d4a7518beb109b (diff)
downloadslackbuilds-ca641aeab8dcba4808ad91a9f29292d08feb522b.tar.gz
slackbuilds-ca641aeab8dcba4808ad91a9f29292d08feb522b.tar.xz
system/openct: Minor fixes and updated download link.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system/openct')
-rw-r--r--system/openct/README2
-rw-r--r--system/openct/README.SLACKWARE (renamed from system/openct/README.SBo)0
-rw-r--r--system/openct/doinst.sh19
-rw-r--r--system/openct/openct.SlackBuild26
-rw-r--r--system/openct/openct.info4
-rw-r--r--system/openct/slack-desc4
6 files changed, 30 insertions, 25 deletions
diff --git a/system/openct/README b/system/openct/README
index 506768f94b..3c2fcbd0f4 100644
--- a/system/openct/README
+++ b/system/openct/README
@@ -10,4 +10,4 @@ Compiling with "NONPRIV=1 ./openct.SlackBuild" enables
non-privileged mode, but you may need to modify /etc/rc.d/rc.openctd
to allow 'chown' to change user/group.
-See README.SBo for further information.
+See README.SLACKWARE for further information.
diff --git a/system/openct/README.SBo b/system/openct/README.SLACKWARE
index c15b64f274..c15b64f274 100644
--- a/system/openct/README.SBo
+++ b/system/openct/README.SLACKWARE
diff --git a/system/openct/doinst.sh b/system/openct/doinst.sh
index bb02ff148c..76c6b78a52 100644
--- a/system/openct/doinst.sh
+++ b/system/openct/doinst.sh
@@ -11,14 +11,19 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-# Keep same perms on rc.openctd.new:
-if [ -e etc/rc.d/rc.openctd ]; then
- cp -a etc/rc.d/rc.openctd etc/rc.d/rc.openctd.new.incoming
- cat etc/rc.d/rc.openctd.new > etc/rc.d/rc.openctd.new.incoming
- mv etc/rc.d/rc.openctd.new.incoming etc/rc.d/rc.openctd.new
-fi
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
-config etc/rc.d/rc.openctd.new
+preserve_perms etc/rc.d/rc.openctd.new
config etc/openct.conf.new
config etc/reader.conf.d/reader-openct.conf.new
diff --git a/system/openct/openct.SlackBuild b/system/openct/openct.SlackBuild
index 8fc1ec37f5..63544bd091 100644
--- a/system/openct/openct.SlackBuild
+++ b/system/openct/openct.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for openct
-# Copyright 2008-2010 LukenShiro <lukenshiro@ngi.it>
+# Copyright 2008-2013 LukenShiro, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,15 +24,13 @@
PRGNAM=openct
VERSION=${VERSION:-0.6.20}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -61,7 +59,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -70,7 +68,11 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
# building API doc
case "$APIDOC" in
@@ -81,7 +83,7 @@ case "$APIDOC" in
esac
# daemon user/group seem not to be really used unless for /var/run/openct,
-# so set them to a saner 'root:root' or 'root:plugdev' (instead of upstream's
+# so set them to a saner 'root:root' or 'root:plugdev' (instead of upstream's
# 'openctd:usb'): for now it's unnecessary to add other user/group.
# If NONPRIV is enabled you'll have to verify /etc/rc.d/rc.openctd accordingly.
case "$NONPRIV" in
@@ -173,18 +175,16 @@ chown $USR_GRP $PKG/var/run/openct
# Make directory for openct modules (not bundled with openct)
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/ifd
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
[ "$APIDOC" = "0" ] && rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/api
mkdir -p $PKG/install
diff --git a/system/openct/openct.info b/system/openct/openct.info
index 2c9b49c011..ee5841709d 100644
--- a/system/openct/openct.info
+++ b/system/openct/openct.info
@@ -1,7 +1,7 @@
PRGNAM="openct"
VERSION="0.6.20"
-HOMEPAGE="http://www.opensc-project.org/openct/"
-DOWNLOAD="http://www.opensc-project.org/files/openct/openct-0.6.20.tar.gz"
+HOMEPAGE="https://github.com/OpenSC/openct"
+DOWNLOAD="http://downloads.sourceforge.net/opensc/openct/openct-0.6.20.tar.gz"
MD5SUM="a1da3358ab798f1cb9232f1dbababc21"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
diff --git a/system/openct/slack-desc b/system/openct/slack-desc
index e8768bd350..a7b579846c 100644
--- a/system/openct/slack-desc
+++ b/system/openct/slack-desc
@@ -10,8 +10,8 @@ openct: openct (Middleware framework for smart card terminals)
openct:
openct: It implements drivers for several smart card readers. It comes as
openct: driver in ifdhandler format for PC/SC-Lite, as CT-API driver, or
-openct: as a small and lean middleware, so applications can use it with
-openct: minimal overhead. OpenCT also has a primitive mechanism to export
+openct: as a small and lean middleware, so applications can use it with
+openct: minimal overhead. OpenCT also has a primitive mechanism to export
openct: smart card readers to remote machines via TCP/IP.
openct:
openct: Homepage: http://www.opensc-project.org/openct/